# norootforbuild

Name:       stella
Version:    4.7.3
Summary:    Atari 2600 Emulator
Group:      System/Emulators
URL:        https://stella-emu.github.io/
Release:    1.18
License:    GPL-2.0+
Source0:    %{name}-%{version}-src.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires: ctags
BuildRequires: clang
BuildRequires: libSDL2-devel
BuildRequires: libpng-devel
BuildRequires: Mesa-devel
BuildRequires: update-desktop-files
BuildRequires: zlib-devel

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  Now you can enjoy all
of your favorite Atari 2600 games on your PC thanks to Stella!

Stella is a multi-platform Atari 2600 VCS emulator released under the GNU
General Public License (GPL). Stella was originally developed for Linux by
Bradford W. Mott, however, since its original release several people have
joined the development team to port Stella to other operating systems such
as AcornOS, AmigaOS, DOS, FreeBSD, IRIX, Linux, OS/2, MacOS, Unix, and
Windows. The development team is working hard to perfect the emulator and we
hope you enjoy our effort.

%prep
%setup -q

%build
export CC=/usr/bin/clang
export CXX=/usr/bin/clang++
./configure --prefix=%{_prefix} --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
make install-strip DESTDIR=%{buildroot}

install -Dm 644 src/common/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file -c %{name} Stella 'Atari Emulator' %{name} %{name} 'System;Emulator;'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_docdir}/stella
%{_docdir}/%{name}/*

%changelog
* Fri Jun  9 2017 kah0922@gmail.com
- updated 4.7.1 to 4.7.3
- updated url
* Tue Mar  8 2016 canislycan@gmail.com
- updated 4.6.5 to 4.7.1
* Fri Oct  9 2015 canislycan@gmail.com
- Updated 3.9.3 to 4.6.5
* Tue Jan 28 2014 canislycan@gmail.com
- Updated 3.4.1 to 3.9.3
